# Constant Field Values

## Contents

- mpi.*

## mpi.*

mpi.Comm
Modifier and Type
Constant Field
Value
`protected static final int`
`SELF`
`1`
`public static final int`
`TYPE_SHARED`
`0`
`protected static final int`
`WORLD`
`2`
mpi.Datatype
Modifier and Type
Constant Field
Value
`protected static final int`
`BOOLEAN`
`4`
`protected static final int`
`BYTE`
`1`
`protected static final int`
`CHAR`
`2`
`protected static final int`
`DOUBLE`
`8`
`protected static final int`
`DOUBLE_COMPLEX`
`16`
`protected static final int`
`DOUBLE_INT`
`14`
`protected static final int`
`FLOAT`
`7`
`protected static final int`
`FLOAT_COMPLEX`
`15`
`protected static final int`
`FLOAT_INT`
`13`
`protected static final int`
`INT`
`5`
`protected static final int`
`INT2`
`10`
`protected static final int`
`LONG`
`6`
`protected static final int`
`LONG_INT`
`12`
`protected static final int`
`NULL`
`0`
`protected static final int`
`PACKED`
`9`
`protected static final int`
`SHORT`
`3`
`protected static final int`
`SHORT_INT`
`11`
mpi.Win
Modifier and Type
Constant Field
Value
`public static final int`
`FLAVOR_PRIVATE`
`0`
`public static final int`
`FLAVOR_SHARED`
`1`
`public static final int`
`WIN_NULL`
`0`